<?php

/**
 *
 * Copyright (C) Die Randgruppe GmbH
 *
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 *
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *
 * $Author$
 * $Date$
 * $Revision$
 *
 */


	session_start();

	// PHP-Includes
	include_once("../../conf/config.inc.php");
	include_once("../../conf/db.inc.php");
	include_once("../global_off.inc.php");
	include_once("../../includes/language/langu_" . LANGU_ADMIN . ".inc.php");
	include_once(DATEIPFAD . "includes/language/langu_admin_" . $_SESSION["langu"] . ".inc.php");
	include_once(DATEIPFAD . "includes/functions.artikel.inc.php");
	include_once(DATEIPFAD . "includes/functions.merkmale.inc.php");
	include_once(DATEIPFAD . "includes/functions.shopeinstellung.inc.php");
	include_once(DATEIPFAD . "includes/functions.lieferstatus.inc.php");
	include_once(DATEIPFAD . "includes/functions.seo.inc.php");
	include_once(DATEIPFAD . "includes/functions.global.inc.php");
	if(ARTIKELDOWNLOAD) {
		include_once(DATEIPFAD . "includes/functions.mod.download.inc.php");
	}

	// ID des Artikels ermitteln
	if ($_POST["artikelid"]) { $ArtikelID = $_POST["artikelid"]; };
	if ($_GET["artikelid"]) { $ArtikelID = $_GET["artikelid"]; };

	// ID der Merkmalkombination ermitteln
	if ($_POST["merkmalkombinationid"]) { $MerkmalkombinationID = $_POST["merkmalkombinationid"]; };
	if ($_GET["merkmalkombinationid"]) { $MerkmalkombinationID = $_GET["merkmalkombinationid"]; };

	// Formaction
	if ($_POST["formaction"]) { $FormAction = $_POST["formaction"]; };
	if ($_GET["formaction"]) { $FormAction = $_GET["formaction"]; };
	if ($_POST["confirmaction"]) { $ConfirmAction = $_POST["confirmaction"]; };
	if ($_GET["confirmaction"]) { $ConfirmAction = $_GET["confirmaction"]; };

	// Einstellungen f�r die �bersicht
	if ($_POST["searchfield"]) { $SearchField = $_POST["searchfield"]; };
	if ($_GET["searchfield"]) { $SearchField = $_GET["searchfield"]; };
	if ($_POST["searchstring"]) { $SearchString = $_POST["searchstring"]; };
	if ($_GET["searchstring"]) { $SearchString= $_GET["searchstring"]; };
	if ($_POST["dataoffset"]) { $DataOffset = $_POST["dataoffset"]; };
	if ($_GET["dataoffset"]) { $DataOffset = $_GET["dataoffset"]; };
	if ($_POST["datacount"]) { $DataCount = $_POST["datacount"]; };
	if ($_GET["datacount"]) { $DataCount = $_GET["datacount"]; };
	if ($_POST["sortfield"]) { $SortField = $_POST["sortfield"]; };
	if ($_GET["sortfield"]) { $SortField = $_GET["sortfield"]; };
	if ($_POST["sortorder"]) { $SortOrder = $_POST["sortorder"]; };
	if ($_GET["sortorder"]) { $SortOrder = $_GET["sortorder"]; };

	// ********************************************************************************
	// ** Merkmalkombinationen aktivieren
	// ********************************************************************************
	if (($FormAction == "merkmalkombinationen_aktiv") && ($_POST["merkmalkombinationen_aktiv"] == 1)) {

		SetMerkmalkombinationen($ArtikelID);
		$_POST["source"] = "";

	}

	// ********************************************************************************
	// ** Merkmalkombinationen deaktivieren
	// ********************************************************************************
	if (($FormAction == "merkmalkombinationen_aktiv") && ($_POST["merkmalkombinationen_aktiv"] == 0) && ($ConfirmAction == 0)) {

		$FormErrorMessage = $a_ar_msg_merkmalkombinationendeaktivieren;
		$FormError = true;
		$FormErrorButtonArray[1]["text"] = $a_err_link_ja;
		$FormErrorButtonArray[1]["link"] = "javascript:SubmitForm('form_artikel_merkmalkombinationen', 'merkmalkombinationen_aktiv', '1');";
		$FormErrorButtonArray[2]["text"] = $a_err_link_nein;
		$FormErrorButtonArray[2]["link"] = "editieren_merkmalkombination.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount;

	}

	if (($FormAction == "merkmalkombinationen_aktiv") && ($_POST["merkmalkombinationen_aktiv"] == 0) && ($ConfirmAction == 1)) {


		DeleteMerkmalkombinationen($ArtikelID);
		$_POST["source"] = "";

	}

	// ********************************************************************************
	// ** Daten l�schen
	// ********************************************************************************

	// Best�tigung der Aktion
	if ($FormAction == "loeschen" && !$ConfirmAction) {

		$MerkmalkombinationObject = GetArtikelDetail($MerkmalkombinationID);

		if ($MerkmalkombinationObject->merkmalkombinationstandard) {

			$FormError = true;
			$FormErrorMessage = $a_ar_msg_merkmalkombinationstandardloeschen;
			$FormErrorButtonArray[1]["link"] = "javascript:SubmitForm('form_artikel_merkmalkombinationen', '', '')";
			$FormErrorButtonArray[1]["text"] = $a_ok;

		} else {

			$FormError = true;
			$FormErrorMessage = sprintf($a_ar_msg_merkmalkombinationloeschen, $MerkmalkombinationObject->artikel_name . "/" . $MerkmalkombinationObject->artikel_nr);
			$FormErrorButtonArray[0]["link"] = "javascript:SubmitForm('form_artikel_merkmalkombinationen', 'loeschen', '1', '" . $MerkmalkombinationID . "')";
			$FormErrorButtonArray[0]["text"] = $a_ja;
			$FormErrorButtonArray[1]["link"] = "javascript:SubmitForm('form_artikel_merkmalkombinationen', '', '')";
			$FormErrorButtonArray[1]["text"] = $a_nein;

		}

	}

	// L�schen der Daten
	if ($FormAction == "loeschen" && $ConfirmAction) {

		// Artikel l�schen
		DeleteArtikel($MerkmalkombinationID);

	}


	// ********************************************************************************
	// ** Daten speichern
	// ********************************************************************************
	if ($_POST["formaction"] == "speichern") {

		// Daten auf Richtigkeit �berpr�fen
		if ((trim($_POST["artikelnummer"]) == "") || !is_numeric($_POST["preis"])) {

			$FormError = true;
			$FormErrorMessage = $a_ar_msg_pflichtfelder;

		}

		// wenn es bei der Eingabe kein Fehler gabm die Daten speichern
		if (!$FormError) {

			// Daten speichern
			$_POST["merkmalkombinationid"] = SaveMerkmalkombination($_POST["artikelid"], $_POST["merkmalkombinationid"], $_POST["standard"], $_POST["sort"], $_POST["merkmal1"], $_POST["merkmal2"], $_POST["merkmal3"], $_POST["merkmal4"], $_POST["artikelnummer"], $_POST["preis"], $_POST["preisformat"], $_POST["lager"], $_POST["gewicht"], $_POST["lieferstatus"], $_POST["onlinestatus"], $_POST['einheit_groesse'], $_POST['einheit_masseinheit'], $_POST['lager_bestellungen']);
			$_POST["source"] = "";

			if(ARTIKELDOWNLOAD) {
				SaveDownloadDetail($_POST["merkmalkombinationid"], $_POST["download_loeschen"], $_FILES["artikel_upload"], $_POST["artikel_ftp"]);
			}

			UpdatePreisstaffelMwst($ArtikelID, $ShopeinstellungenObject->preisformat);

			if($_POST["staffel_menge"]){
				SaveArtikelPreisstaffel($_POST["merkmalkombinationid"], $_POST["staffel_menge"], $_POST["staffel_preis"], $ShopeinstellungenObject->preisformat);
			}

			if($_POST["delete_staffel"]){
				DeleteArtikelPreisstaffel($_POST["delete_staffel"]);
			}
		}

	}

	// ********************************************************************************
	// ** Umleitung auf die anderen Reiter
	// ********************************************************************************
	if ($_POST["reiter"] && !$FormError) {

		// Umleitung auf die anderen Reiter oder die �bersicht
		if ($_POST["reiter"] == "grunddaten") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_grunddaten.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		} elseif ($_POST["reiter"] == "kategorie") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_kategorie.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		} elseif ($_POST["reiter"] == "datenblatt") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_datenblatt.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		} elseif ($_POST["reiter"] == "crossselling") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_crossselling.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		} elseif ($_POST["reiter"] == "merkmalauswahl") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_merkmalauswahl.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		} elseif ($_POST["reiter"] == "kundengruppenpreise") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_kundengruppenpreise.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		} elseif ($_POST["reiter"] == "gruppe") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_gruppe.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "&languageid=" . $LanguageID);
			exit;
		} elseif ($_POST["reiter"] == "facettensuche") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_facettensuche.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		} elseif ($_POST["reiter"] == "lieferanten") {
			header("Location: " . URLPFAD . "admin/artikel/editieren_lieferanten.php?artikelid=" . $ArtikelID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount);
			exit;
		}
	}

	// Artikel einlesen
	$ArtikelObject = GetArtikelDetail($ArtikelID);

	// Shopeinstellungen einlesen
	$ShopeinstellungenObject = GetShopeinstellungDetail();

	// ********************************************************************************
	// ** Daten f�r die Ausgabe aufbereiten
	// ********************************************************************************

	// POST
	if ($_POST["source"] == "post") {

		// Merkmalkombinations
		$tpl_artikelnummer = $_POST["artikelnummer"];
		$tpl_merkmal1 = $_POST["merkmal1"];
		$tpl_merkmal2 = $_POST["merkmal2"];
		$tpl_merkmal3 = $_POST["merkmal3"];
		$tpl_merkmal4 = $_POST["merkmal4"];
		$tpl_lager = $_POST["lager"];
		$tpl_gewicht = $_POST["gewicht"];
		$tpl_onlinestatus = $_POST["onlinestatus"];
		$tpl_lieferstatus = $_POST["lieferstatus"];

		if ($ShopeinstellungenObject->preisformat == 1) {
			$tpl_preis_brutto = round(($_POST["preis"] / 100) * ($MwStObject->mwst + 100), 2);
			$tpl_preis_netto = round($_POST["preis"], 2);
		} else {
			$tpl_preis_brutto = round($_POST["preis"], 2);
			$tpl_preis_netto = round(($_POST["preis"] / 100) * ($MwStObject->mwst + 100), 2);
		}

		// Checkbox
		$tpl_merkmalkombinationen_aktiv = $_POST["merkmalkombinationen_aktiv"];
		$tpl_einheit_groesse = $_POST['einheit_groesse'];
		$tpl_einheit_masseinheit = $_POST['einheit_masseinheit'];

		// Hidden-Fields
		$tpl_preisformat = $ShopeinstellungenObject->preisformat;

	// Datenbank
	} else {

		$tpl_artikelnummer = $ArtikelObject->artikel_nr;
		$tpl_merkmal1 = "";
		$tpl_merkmal2 = "";
		$tpl_merkmal3 = "";
		$tpl_merkmal4 = "";
		$tpl_lager = "";
		$tpl_gewicht = $ArtikelObject->gewicht;
		$tpl_onlinestatus = $ArtikelObject->aktiv;
		$tpl_lieferstatus = $ArtikelObject->lieferstatus;

		$tpl_preis_netto = $ArtikelObject->preis_netto;
		$tpl_preis_brutto = $ArtikelObject->preis_brutto;

		// Checkbox
		$tpl_merkmalkombinationen_aktiv = $ArtikelObject->merkmalkombination;

		$tpl_einheit_groesse = $ArtikelObject->einheit_groesse;
		$tpl_einheit_masseinheit = $ArtikelObject->einheit_masseinheit;

		// Hidden-Fields
		$tpl_preisformat = $ShopeinstellungenObject->preisformat;

	}

	// Checkbox "Merkmalkombinationen aktivieren"

	if ($tpl_merkmalkombinationen_aktiv) {
		$MerkmalkombinationenAktivCheckedString = " checked";
	} else {
		$MerkmalkombinationenAktivCheckedString = "";
	}

	// Checkbox "Merkmalkombinationen aktivieren" abschalten
	if ($ArtikelObject->kundengruppenpreis) {
		$MerkmalkombinationenDisableString = " disabled";
		$MerkmalkombinationenDisableMessage = "<i>" . $a_ar_kundengruppenpreise_nichtmoeglich . "</�>";
	} elseif ((!$ArtikelObject->variante1) && (!$ArtikelObject->variante2) && (!$ArtikelObject->variante3) && (!$ArtikelObject->variante4)){
		$MerkmalkombinationenDisableString = " disabled";
		$MerkmalkombinationenDisableMessage = "<i>" . $a_ar_msg_keinevariante . "</�>";
	} else {
		$MerkmalkombinationenDisableString = "";
		$MerkmalkombinationenDisableMessage = "";
	}

	// Preis
	if ($ShopeinstellungenObject->preisformat == 1) {

		$PreisNettoString = "<input class=\"forminput_text\" type=\"text\" name=\"preis\" value=\"" . $tpl_preis_netto . "\" size=\"35\">";
		$PreisBruttoString = $tpl_preis_brutto;

	} else {

		$PreisNettoString = $tpl_preis_netto;
		$PreisBruttoString = "<input class=\"forminput_text\" type=\"text\" name=\"preis\" value=\"" . $tpl_preis_brutto . "\" size=\"35\">";

	}

	// Auswahlliste "Merkmale"
	$tpl_merkmalauswahl = "<table cellspacing=\"0\" cellpadding=\"1\" border=\"0\" class=\"mainBackground\">";

	for ($VariantenCounter = 1; $VariantenCounter < 5; $VariantenCounter++) {

		if ($ArtikelObject->{"variante" . $VariantenCounter}) {

			$MerkmalauswahlDataArray = GetMerkmalauswahlDataArray($ArtikelObject->id, $LanguageID);

			$tpl_merkmalauswahl .= "<tr>";
			$tpl_merkmalauswahl .= "<td>";
			$tpl_merkmalauswahl .= "<select name=\"merkmal" . $VariantenCounter . "\" size=\"1\" class=\"formselect_gross\" style=\"width:200px;\">\n";

			foreach ($MerkmalauswahlDataArray[$VariantenCounter] as $MerkmalData) {

				if ($MerkmalData["selected"]) {

					// Merkmal ausw�hlen
					//if (${"tpl_variante" . $VariantenAuswahlCounter} == $VariantenData["id"]) {
						//$VariantenAuswahlliste[$VariantenAuswahlCounter] .= "<option value=\"" . $VariantenData["id"] . "\" selected>" . $VariantenData["name"] . "</option>\n";
					//} else {
						$tpl_merkmalauswahl .= "<option value=\"" . $MerkmalData["id"] . "\">" . $MerkmalData["name"] . "</option>\n";
					//}

				}

			}

			$tpl_merkmalauswahl .= "</select>\n";
			$tpl_merkmalauswahl .= "</td>";
			$tpl_merkmalauswahl .= "<td>&nbsp;" . $ArtikelObject->{"variante" . $VariantenCounter . "name"} . "</td>";
			$tpl_merkmalauswahl .= "</tr>";

		}

	}

	$tpl_merkmalauswahl .= "</table>";


	// Auswahlliste "Onlinestatus"
	$OnlinestatusAuswahlliste .= "<select name=\"onlinestatus\" size=\"1\" class=\"formselect_gross\">\n";

	if ($tpl_onlinestatus == 0) {
		$OnlinestatusAuswahlliste .= "<option value=\"0\" selected>" . $a_ar_onlinstatus_offline . "</option>\n";
		$OnlinestatusAuswahlliste .= "<option value=\"1\">" . $a_ar_onlinstatus_online . "</option>\n";
	} else {
		$OnlinestatusAuswahlliste .= "<option value=\"0\">" . $a_ar_onlinstatus_offline . "</option>\n";
		$OnlinestatusAuswahlliste .= "<option value=\"1\" selected>" . $a_ar_onlinstatus_online . "</option>\n";
	}

	$OnlinestatusAuswahlliste .= "</select>\n";

	// Auswahlliste "Lieferstatus"
	$LieferstatusDataArray = GetLieferstatusDataArray("", "", TABLE_LIEFERSTATUS . ".sort", "ASC");

	$LieferstatusAuswahlliste .= "<select name=\"lieferstatus\" size=\"1\" class=\"formselect_gross\">\n";

	foreach ($LieferstatusDataArray as $LieferstatusData) {

		// Lieferstatus ausw�hlen
		if ($tpl_lieferstatus == $LieferstatusData["id"]) {
			$LieferstatusAuswahlliste .= "<option value=\"" . $LieferstatusData["id"] . "\" selected>" . $LieferstatusData["name"] . "</option>\n";
		} else {
			$LieferstatusAuswahlliste .= "<option value=\"" . $LieferstatusData["id"] . "\">" . $LieferstatusData["name"] . "</option>\n";
		}

	}

	$LieferstatusAuswahlliste .= "</select>\n";

	// ********************************************************************************
	// ** Merkmalkombinationen einlesen
	// ********************************************************************************
	$MerkmalkombinationenSearchFieldArray[] = "merkmalkombinationparentid";
	$MerkmalkombinationenSearchStringArray[] = $ArtikelID;
	$MerkmalkombinationenSortField = "merkmalkombinationsort";
	$MerkmalkombinationenSortOrder = "ASC";

	$MerkmalkombinationenDataArray = GetArtikelDataArray($MerkmalkombinationenSearchFieldArray, $MerkmalkombinationenSearchStringArray, $MerkmalkombinationenSortField, $MerkmalkombinationenSortOrder, "", "", "", "", "", "", 0, "", "", "", "", "", 2);

	if (ARTIKELDOWNLOAD) {

		foreach ($MerkmalkombinationenDataArray as $MerkmalkombinationenKey => $MerkmalkombinationenData) {

			$DownloadObject = GetDownloadDetail($MerkmalkombinationenData["id"]);
			$MerkmalkombinationenDataArray[$MerkmalkombinationenKey]["download_dateiname"] = $DownloadObject->filename;
		}
	}

	foreach ($MerkmalkombinationenDataArray as $MerkmalkombinationenKey => $MerkmalkombinationenData) {
		$Preisstaffel = GetArtikelPreisstaffel($MerkmalkombinationenData["id"]);
		$MerkmalkombinationenDataArray[$MerkmalkombinationenKey]["preisstaffel"] = $Preisstaffel;
	}

	$einstellungen = GetEinstellungen('', 'artikel');
	$tpl_artikeleinstellungen = $einstellungen->artikel;

	$einstellungen = GetEinstellungen('', 'artikel_gebinde');
	$gebindeArray = explode(';', $einstellungen->artikel_gebinde->gebinde);
	foreach($gebindeArray as $gebinde)
	{
		$gebindeWerte = explode('_', $gebinde);
		if($gebindeWerte[0] && $gebindeWerte[1])
			$tpl_gebinde[$gebindeWerte[1]] = $gebindeWerte[0];
	}

	// ********************************************************************************
	// ** Fehlermeldung aufbereiten
	// ********************************************************************************
	if ($FormError) {

		$FormErrorString = "<table cellspacing=\"0\" cellpadding=\"1\" border=\"0\" width=\"100%\">";
		$FormErrorString .= "<tr>";
		$FormErrorString .= "<td class=\"fehler\">";
		$FormErrorString .= $FormErrorMessage;
		$FormErrorString .= "</td>";
		$FormErrorString .= "</tr>";

		if ($FormErrorButtonArray) {

			$FormErrorString .= "<tr>";
			$FormErrorString .= "<td class=\"fehler\">";

			foreach ($FormErrorButtonArray as $FormErrorButton) {

				$FormErrorButtonString .= "<a href=\"" . $FormErrorButton["link"] . "\">" . $FormErrorButton["text"] . "</a> | ";

			}

			$FormErrorButtonString = substr($FormErrorButtonString, 0, strlen($FormErrorButtonString) - 3);

			$FormErrorString .= $FormErrorButtonString;

			$FormErrorString .= "</td>";
			$FormErrorString .= "</tr>";

		}

		$FormErrorString .= "</table>";

	}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title><?=$a_admin;?></title>
	<link rel="stylesheet" type="text/css" href="../style/style.css">
	<script language="JavaScript" src="../../js_function/global.js" type="text/javascript"></script>
	<meta http-equiv="Content-Type" content="text/html; charset=<?=CHARSET?>">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="pragma" content="no-cache">
	<meta HTTP-EQUIV="Expires" CONTENT="0">

	<script language="javascript">

		function SubmitForm(Formname, Formaction, Confirmaction, MerkmalkombinationID) {

			if (Formaction) {
				document.forms[Formname].formaction.value = Formaction;
			}

			if (Confirmaction) {
				document.forms[Formname].confirmaction.value = Confirmaction;
			}

			if (MerkmalkombinationID) {
				document.forms[Formname].merkmalkombinationid.value = MerkmalkombinationID;
			}

			document.forms[Formname].submit();

		}

		function MerkmalkombinationBearbeiten(MerkmalkombinationID, Sortierung, Artikelnummer, Merkmal1, Merkmal2, Merkmal3, Merkmal4, Preis, Lager, LagerBestellungen, Gewicht, EinheitGroesse, EinheitMasseinheit, Lieferstatus, Onlinestatus, Standard, DownloadDateiname, StaffelArray) {

			document.form_artikel_merkmalkombinationen.merkmalkombinationid.value = MerkmalkombinationID;
			document.form_artikel_merkmalkombinationen.sort.value = Sortierung;
			document.form_artikel_merkmalkombinationen.artikelnummer.value = Artikelnummer;
			document.form_artikel_merkmalkombinationen.preis.value = Preis;
			document.form_artikel_merkmalkombinationen.lager.value = Lager;
            document.form_artikel_merkmalkombinationen.lager_bestellungen.value = LagerBestellungen;
            document.form_artikel_merkmalkombinationen.gewicht.value = Gewicht;
			document.form_artikel_merkmalkombinationen.einheit_groesse.value = EinheitGroesse;
			if(EinheitGroesse > 0) {
				for(ElementCounter = 0; ElementCounter < document.form_artikel_merkmalkombinationen.einheit_masseinheit.length; ElementCounter++) {
					if (document.form_artikel_merkmalkombinationen.einheit_masseinheit.options[ElementCounter].value == EinheitMasseinheit) {
						document.form_artikel_merkmalkombinationen.einheit_masseinheit.selectedIndex = ElementCounter;
					}
				}
			}

			if (Standard) {
				document.form_artikel_merkmalkombinationen.standard.checked = true;
			} else {
				document.form_artikel_merkmalkombinationen.standard.checked = false;
			}

			if (Merkmal1 > 0) {
				for (ElementCounter = 0; ElementCounter < document.form_artikel_merkmalkombinationen.merkmal1.length; ElementCounter++) {
					if (document.form_artikel_merkmalkombinationen.merkmal1.options[ElementCounter].value == Merkmal1) {
						document.form_artikel_merkmalkombinationen.merkmal1.selectedIndex = ElementCounter;
					}
				}
			}


			if (Merkmal2 > 0) {
				for (ElementCounter = 0; ElementCounter < document.form_artikel_merkmalkombinationen.merkmal2.length; ElementCounter++) {
					if (document.form_artikel_merkmalkombinationen.merkmal2.options[ElementCounter].value == Merkmal2) {
						document.form_artikel_merkmalkombinationen.merkmal2.selectedIndex = ElementCounter;
					}
				}
			}

			if (Merkmal3 > 0) {
				for (ElementCounter = 0; ElementCounter < document.form_artikel_merkmalkombinationen.merkmal3.length; ElementCounter++) {
					if (document.form_artikel_merkmalkombinationen.merkmal3.options[ElementCounter].value == Merkmal3) {
						document.form_artikel_merkmalkombinationen.merkmal3.selectedIndex = ElementCounter;
					}
				}
			}

			if (Merkmal4 > 0) {
				for (ElementCounter = 0; ElementCounter < document.form_artikel_merkmalkombinationen.merkmal4.length; ElementCounter++) {
					if (document.form_artikel_merkmalkombinationen.merkmal4.options[ElementCounter].value == Merkmal4) {
						document.form_artikel_merkmalkombinationen.merkmal4.selectedIndex = ElementCounter;
					}
				}
			}

			if (Lieferstatus) {
				for (ElementCounter = 0; ElementCounter < document.form_artikel_merkmalkombinationen.lieferstatus.length; ElementCounter++) {
					if (document.form_artikel_merkmalkombinationen.lieferstatus.options[ElementCounter].value == Lieferstatus) {
						document.form_artikel_merkmalkombinationen.lieferstatus.selectedIndex = ElementCounter;
					}
				}
			}

			if (Onlinestatus) {
				for (ElementCounter = 0; ElementCounter < document.form_artikel_merkmalkombinationen.onlinestatus.length; ElementCounter++) {
					if (document.form_artikel_merkmalkombinationen.onlinestatus.options[ElementCounter].value == Onlinestatus) {
						document.form_artikel_merkmalkombinationen.onlinestatus.selectedIndex = ElementCounter;
					}
				}
			}

			if (DownloadDateiname) {
				document.form_artikel_merkmalkombinationen.download_loeschen.disabled = false;
				document.getElementById("download_dateiname").firstChild.nodeValue = DownloadDateiname;
			} else {

				if (document.getElementById("download_dateiname")) {
					document.form_artikel_merkmalkombinationen.download_loeschen.disabled = true;
					document.getElementById("download_dateiname").firstChild.nodeValue = "";
				}

			}

			if(StaffelArray)
			{
				var table = document.getElementById("preisstaffel_table");
				while(table.rows.length > 0)
				{
					table.deleteRow(0);
				}
				for(i=0;i<StaffelArray.length;i++)
				{
					if(StaffelArray[i])
					{
						var tr = table.insertRow(i);
						var tdMenge = document.createElement("td");
						var mengeText = document.createTextNode("<?=$l_ab?> " + StaffelArray[i][1] + " <?=html_entity_decode($l_stueck, ENT_COMPAT, CHARSET)?> <?=$a_netto?> " + StaffelArray[i][2] + " (" + StaffelArray[i][3] + " <?=$a_brutto?>)");
						tdMenge.appendChild(mengeText);
						if(i % 2 == 0)
							tdMenge.bgColor = "#efefef";
						tdMenge.width = "300px";
						tdMenge.noWrap = 1;
						tr.appendChild(tdMenge);
						var tdDel = document.createElement("td");
						tdDel.noWrap = 1;
						if(i % 2 == 0)
							tdDel.bgColor = "#efefef";
						var delLink = document.createElement("a");
						delLink.setAttribute("href", "javascript:document.form_artikel_merkmalkombinationen.delete_staffel.value=" + StaffelArray[i][0] + ";SubmitForm('form_artikel_merkmalkombinationen', 'speichern');");
						var delImg = document.createElement("img");
						delImg.src = "../images/loeschen_button.gif";
						delImg.setAttribute("width", "13px");
						delImg.setAttribute("height", "12px");
						delImg.setAttribute("alt", "<?=html_entity_decode($lang_loeschen, ENT_COMPAT, CHARSET)?>");
						delImg.border = "0";
						delLink.appendChild(delImg);
						tdDel.appendChild(delLink);
						tr.appendChild(tdDel);
					}
				}

			}

		}

	</script>

</head>

<body class="mainBackground">

<table cellspacing="0" cellpadding="0" border="0">
<tr>
	<td class="mainBackground" colspan="10">&nbsp;<b><?=$a_ar_headline_bearbeiten?> (<?=$ArtikelObject->artikel_name?>)</b></td>
</tr>
<tr>
	<td class="mainBackground" colspan="10"><img src="../images/trans.gif" width="1" height="10" border="0"></td>
</tr>
<tr>
	<td><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'grunddaten'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_grunddaten?></b></a>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'kategorie'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_kategorie?></b></a>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'datenblatt'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_datenblatt?></b></a>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'crossselling'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_crosselling?></b></a>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'merkmalauswahl'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_merkmalauswahl?></b></a>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<? if(KUNDENGRUPPEN) { ?>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'kundengruppenpreise'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_kundengruppenpreise?></b></a>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<? } ?>
	<td bgcolor="#E5E5E5" nowrap><b><?=$a_ar_reiter_merkmalkombinationen?></b>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'gruppe'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_gruppe?></b></a>&nbsp;</td>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'facettensuche'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$lang_admin_facettensuche?></b></a>&nbsp;</td>
	<? if (LIEFERANTENVERWALTUNG) { ?>
	<td bgcolor="#E5E5E5"><img src="../images/navi_ecke.gif" width="11" height="18" alt="" border="0"></td>
	<td bgcolor="#E5E5E5" nowrap><a href="javascript:document.form_artikel_merkmalkombinationen.reiter.value = 'lieferanten'; document.form_artikel_merkmalkombinationen.submit();"><b><?=$a_ar_reiter_lieferanten?></b></a>&nbsp;</td>
	<? } ?>
</tr>
</table>

<?=$FormErrorString?>
<form name="form_artikel_merkmalkombinationen" method="post" action="editieren_merkmalkombination.php" enctype="multipart/form-data">
<input type="hidden" name="artikelid" value="<?=$ArtikelID?>">
<input type="hidden" name="merkmalkombinationid" value="">
<input type="hidden" name="preisformat" value="<?=$tpl_preisformat?>">
<input type="hidden" name="formaction" value="">
<input type="hidden" name="confirmaction" value="0">
<input type="hidden" name="reiter" value="">
<input type="hidden" name="source" value="post">
<input type="hidden" name="searchfield" value="<?=$SearchField?>">
<input type="hidden" name="searchstring" value="<?=$SearchString?>">
<input type="hidden" name="sortfield" value="<?=$SortField?>">
<input type="hidden" name="sortorder" value="<?=$SortOrder?>">
<input type="hidden" name="dataoffset" value="<?=$DataOffset?>">
<input type="hidden" name="datacount" value="<?=$DataCount?>">

<form name="form_artikel_merkmalkombinationen" method="post" action="editieren_merkmalkombination.php" enctype="multipart/form-data">


<table cellspacing="0" cellpadding="1" border="0" width="100%" bgcolor="#E5E5E5">
<tr>
	<td class="mainBackground" colspan="2"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
</tr>
<tr>
	<td class="artikelUnterteilung">&nbsp;<b><?=$a_ar_headline_merkmalkombinationen?></b></td>
	<td class="artikelUnterteilung" align="right"><a href="index.php?artikelid=<?=$ArtikelID?>&searchfield=<?=$SearchField?>&searchstring=<?=$SearchString?>&sortfield=<?=$SortField?>&sortorder=<?=$SortOrder?>&dataoffset=<?=$DataOffset?>&datacount=<?=$DataCount?>"><?=$a_ar_artikeluebersicht?></a>&nbsp;</td>
</tr>
<tr>
	<td colspan="2">

		<table cellspacing="0" cellpadding="3" border="0" class="mainBackground" width="100%">
		<tr>
			<td><?=$a_ar_merkmalkombinationen_erklaerung?></td>
		</tr>
		<tr>
			<td>
				<input type="checkbox" name="merkmalkombinationen_aktiv" value="1" onclick="SubmitForm('form_artikel_merkmalkombinationen', 'merkmalkombinationen_aktiv');"<?=$MerkmalkombinationenAktivCheckedString?><?=$MerkmalkombinationenDisableString?>>&nbsp;<?=$a_ar_merkmalkombinationen_aktiv?><br>
				<?=$MerkmalkombinationenDisableMessage?>
			</td>
		</tr>
		</table>

	</td>
</tr>
<tr>
	<td colspan="2">

		<? if ($tpl_merkmalkombinationen_aktiv) { ?>

		<table cellspacing="2" cellpadding="2" border="0" class="mainBackground" width="100%">
		<tr>
			<td width="1%"><img src="../images/trans.gif" width="30" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="120" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="100" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="70" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="75" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="55" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="55" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="50" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="50" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="50" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="22" height="1" border="0"></td>
			<td width="1%"><img src="../images/trans.gif" width="22" height="1" border="0"></td>
			<td width="91%"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
		</tr>
		<tr>
			<td class="tdBackground1">&nbsp;</td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_merkmalkombination?><? if (ARTIKELDOWNLOAD) { ?><br><?=$a_ar_merkmalkombinationen_table_merkmalkombination?><? } ?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_artikelnummer?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_nettopreis?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_bruttopreis?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_lagerbestand?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_gewicht?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_onlinestatus?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_lieferstatus?></b></td>
			<td class="tdBackground1"><b><?=$a_ar_merkmalkombinationen_table_standard?></b></td>
			<td class="tdBackground1">&nbsp;</td>
			<td class="tdBackground1">&nbsp;</td>
			<td>&nbsp;</td>
		</tr>
		<? if ($MerkmalkombinationenDataArray) { ?>
		<?

			foreach ($MerkmalkombinationenDataArray as $MerkmalkombinationenData) {


			// Zebrastreifenmuster
			if ($BackgroundClass == "tdBackground2") {
				$BackgroundClass = "";
			} else {
				$BackgroundClass = "tdBackground2";
			}

			// Merkmale
			$MerkmalString = "";
			foreach ($MerkmalkombinationenData["varianten_array"] as $Merkmalkombinationen) {

				$MerkmalString .= "<nobr>" . $Merkmalkombinationen["merkmalname"] . " <span class=\"klein\">(" . $Merkmalkombinationen["variantename"] . ")</span></nobr><br>";

			}

			$MerkmalString = substr($MerkmalString, 0, strlen($MerkmalString) - 4);

			// Preis
			if ($tpl_preisformat == 1) {
				$Preis = str_replace(",", ".", $MerkmalkombinationenData["preis_netto"]);
			} else {
				$Preis = str_replace(",", ".", $MerkmalkombinationenData["preis_brutto"]);
			}


		?>
		<tr>
			<td class="<?=$BackgroundClass?>"><?=$MerkmalkombinationenData["merkmalkombinationsort"]?></td>
			<td class="<?=$BackgroundClass?>"><?=$MerkmalString?></td>
			<td class="<?=$BackgroundClass?>"><?=$MerkmalkombinationenData["artikelnummer"]?></td>
			<td class="<?=$BackgroundClass?>"><?=$MerkmalkombinationenData["preis_netto"]?></td>
			<td class="<?=$BackgroundClass?>"><?=$MerkmalkombinationenData["preis_brutto"]?></td>
			<td class="<?=$BackgroundClass?>"><?=$MerkmalkombinationenData["lager"]?>&nbsp;/&nbsp;<?php echo $MerkmalkombinationenData["lager_bestellungen"]?></td>
			<td class="<?=$BackgroundClass?>"><?=$MerkmalkombinationenData["gewicht"]?></td>
			<td class="<?=$BackgroundClass?>" align="center"><?=$MerkmalkombinationenData["aktiv_imagestring"]?></td>
			<td class="<?=$BackgroundClass?>" align="center"><?=$MerkmalkombinationenData["lieferstatus_smallimagestring"]?></td>
			<td class="<?=$BackgroundClass?>" align="center"><?=$MerkmalkombinationenData["merkmalkombinationstandard_imagestring"]?></td>
			<td class="<?=$BackgroundClass?>" align="center"><a href="javascript:MerkmalkombinationBearbeiten('<?=$MerkmalkombinationenData["id"]?>', '<?=$MerkmalkombinationenData["merkmalkombinationsort"]?>', '<?=$MerkmalkombinationenData["artikelnummer"]?>', '<?=$MerkmalkombinationenData["variante1"]?>', '<?=$MerkmalkombinationenData["variante2"]?>', '<?=$MerkmalkombinationenData["variante3"]?>', '<?=$MerkmalkombinationenData["variante4"]?>', '<?=$Preis?>', '<?=$MerkmalkombinationenData["lager"]?>', '<?=$MerkmalkombinationenData['lager_bestellungen']?>', '<?=$MerkmalkombinationenData["gewicht"]?>', '<?php echo $MerkmalkombinationenData['einheit_groesse']?>', '<?php echo $MerkmalkombinationenData['einheit_masseinheit']?>', '<?=$MerkmalkombinationenData["lieferstatus"]?>', '<?=$MerkmalkombinationenData["onlinestatus"]?>', '<?=$MerkmalkombinationenData["merkmalkombinationstandard"]?>', '<?=$MerkmalkombinationenData["download_dateiname"]?>', [<?if($MerkmalkombinationenData["preisstaffel"]) { foreach($MerkmalkombinationenData["preisstaffel"] as $Staffel) { ?>[<?=$Staffel["id"];?>, <?=$Staffel["menge"];?>, '<?=$Staffel["preis_netto"];?>', '<?=$Staffel["preis_brutto"]?>'],<?}}?>]);"><img src="../images/edit_button.gif" width="9" height="12" alt="" border="0"></a></td>
			<td class="<?=$BackgroundClass?>" align="center"><a href="javascript:SubmitForm('form_artikel_merkmalkombinationen', 'loeschen', '', '<?=$MerkmalkombinationenData["id"]?>')"><img src="../images/loeschen_button.gif" width="13" height="12" alt="" border="0"></a></td>
			<td>&nbsp;</td>
		</tr>
		<? } ?>
		<? } else { ?>
		<tr>
			<td colspan="9">Es wurden noch keine Merkmalkombinationen festgelegt</td>
			<td>&nbsp;</td>
		</tr>
		<? } ?>

		<tr>
			<td colspan="10"><img src="../images/trans.gif" width="1" height="10" border="0"></td>
		</tr>
		<tr>
			<td colspan="9">

				<table cellspacing="0" cellpadding="3" border="0" class="mainBackground" width="100%">
				<tr>
					<td width="1%"><img src="../images/trans.gif" width="125" height="1" border="0"></td>
					<td width="1%"><img src="../images/trans.gif" width="5" height="1" border="0"></td>
					<td width="99%"><img src="../images/trans.gif" width="1" height="1" border="0"></td>
				</tr>
				<tr>
					<td colspan="3"><nobr><b><?=$a_ar_merkmalkombinationen_neu?></b></nobr></td>
				</tr>
				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_standard?>:</nobr></td>
					<td>&nbsp;</td>
					<td><input type="checkbox" name="standard" value="1"></td>
				</tr>
				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_sortierung?>:</nobr></td>
					<td>&nbsp;</td>
					<td><input class="forminput_text" type="text" name="sort" value="" size="35"></td>
				</tr>
				<tr>
					<td valign="top"><nobr><?=$a_ar_merkmalkombinationen_merkmalkombination?>:</nobr></td>
					<td>&nbsp;</td>
					<td><?=$tpl_merkmalauswahl?></td>
				</tr>
				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_artikelnummer?>:</nobr></td>
					<td>&nbsp;</td>
					<td><input class="forminput_text" type="text" name="artikelnummer" value="<?=$tpl_artikelnummer?>" size="35"></td>
				</tr>
				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_nettopreis?>:</nobr></td>
					<td>&nbsp;</td>
					<td><?=$PreisNettoString?></td>
				</tr>
				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_bruttopreis?>:</nobr></td>
					<td>&nbsp;</td>
					<td><?=$PreisBruttoString?></td>
				</tr>
		<tr>
			<td colspan="1" valign="top"><?=$l_preisstaffeln?>:</td>
			<td>&nbsp;</td>
			<td colspan="1">

				<table id="preisstaffel_table" cellspacing="0" cellpadding="0" border="0" class="mainBackground" width="1%">

				</table>
				<input type="hidden" name="delete_staffel" value="">

					<br>
						<?=$l_neue_preisstaffel?>: <?=$l_ab?> <input type="text" name="staffel_menge" size="2"> <?=$l_stueck?> <?=$ShopeinstellungenObject->preisformat == 1?$a_ar_preisnetto:$a_ar_preisbrutto?>&nbsp;	<input type="text" name="staffel_preis" size="2">&nbsp;<input type="button" name="sichern" value="<?=$l_hinzufuegen?>" onclick="SubmitForm('form_artikel_merkmalkombinationen', 'speichern');">
			</td>
		</tr>
		<tr>
			<td class="mainBackground" colspan="2"><img src="../images/trans.gif" width="1" height="10" border="0"></td>
		</tr>

				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_lagerbestand?>:</nobr></td>
					<td>&nbsp;</td>
                    <td><input class="forminput_text" style="width: 50px" type="text" name="lager" value="<?=$tpl_lager?>" size="15">&nbsp;/&nbsp;<input class="forminput_text" style="width: 50px" type="text" name="lager_bestellungen" value="<?=$tpl_lager_bestellungen?>" size="15"></td>
                </tr>
				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_gewicht?>:</nobr></td>
					<td>&nbsp;</td>
					<td><input class="forminput_text" type="text" name="gewicht" value="<?=$tpl_gewicht?>" size="35"></td>
				</tr>
<?php if($tpl_artikeleinstellungen->gebindepreise_aktiv) { ?>
		<tr>
			<td><nobr><?=$lang_einheit?>:</nobr></td>
			<td>&nbsp;</td>
			<td><input type="text" size="10" name="einheit_groesse" value="<?php echo $tpl_einheit_groesse?>">
			<select name="einheit_masseinheit">
<?php foreach($tpl_gebinde as $gebindeeinheit => $gebindegroesse) { ?>
				<option value="<?php echo $gebindeeinheit;?>" <?php echo ($tpl_einheit_masseinheit == $gebindeeinheit)?'selected':'';?>>
				<?php echo $gebindeeinheit;?> (<?php echo $lang_gebinde . ': ' . $gebindegroesse . $gebindeeinheit;?>)
				</option>
<?php } ?>
			</select>
			</td>
		</tr>
<?php } ?>

				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_lieferstatus?>:</nobr></td>
					<td>&nbsp;</td>
					<td><?=$LieferstatusAuswahlliste?></td>
				</tr>
				<tr>
					<td><nobr><?=$a_ar_merkmalkombinationen_onlinestatus?>:</nobr></td>
					<td>&nbsp;</td>
					<td><?=$OnlinestatusAuswahlliste?></td>
				</tr>
				<? if(ARTIKELDOWNLOAD) { ?>
				<tr>
					<td valign="top"><nobr><?=$lang_admin_artikel_upload?>:</nobr></td>
					<td>&nbsp;</td>
					<td><input class="forminput_text" type="file" name="artikel_upload" size="35"></td>
				</tr>
				<tr>
					<td colspan="3" valign="top"><b><?=$lang_admin_oder?></b></td>
				</tr>
				<tr>
					<td valign="top"><nobr><?=$lang_admin_artikel_ftp?>:</nobr></td>
					<td>&nbsp;</td>
					<td><input class="forminput_text" type="text" name="artikel_ftp" value="<?$tpl_downloadArtikel?>" size="35"><br><span class="klein"><?=$lang_admin_artikel_ftp_beschreibung?></span></td>
				</tr>
				<tr>
					<td colspan="3"><b><div id="download_dateiname">&nbsp;</div></b><br><input type="checkbox" value="1" name="download_loeschen" disabled>&nbsp;<?=$lang_admin_artikel_upload_loeschen?></td>
				</tr>
				<? } ?>
				</table>

			</td>
			<td>&nbsp;</td>

		</tr>
		<tr>
			<td colspan="10"><img src="../images/trans.gif" width="1" height="5" border="0"></td>
		</tr>
		<tr>
			<td colspan="10"><input type="button" name="sichern" value="<?=$s_speichern?>" onclick="SubmitForm('form_artikel_merkmalkombinationen', 'speichern');"></td>
		</tr>
		<tr>
			<td colspan="10"><img src="../images/trans.gif" width="1" height="5" border="0"></td>
		</tr>
		</table>

		<? } ?>

	</td>
</tr>

</table>

</form>

</body>
</html>
